cURL
curl --request POST \ --url https://sandbox.deck.co/api/v1/connections \ --header 'Content-Type: application/json' \ --header 'x-deck-client-id: <api-key>' \ --header 'x-deck-secret: <api-key>' \ --data ' { "source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "auth_method": "<string>", "auth_credentials": { "username": "<string>", "password": "<string>" }, "deck_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } '
{ "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "<string>", "source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "auth_method": "<string>", "created_at": 123, "updated_at": 123, "access_token": "<string>" }
Open a connection to a source. Returns an access token to run future jobs.
Enter your client id
Enter your secret
Connection creation request
1
Show child attributes
Accepted
Was this page helpful?